__gnu_profile::__trace_hash_func Class Reference

`#include <profiler_hash_func.h>`

Inheritance diagram for __gnu_profile::__trace_hash_func:
[legend]

## Public Member Functions

__hashfunc_info * | __add_object (__stack_t __stack)
void | __collect_warnings (__warning_vector_t &__warnings)
void | __destruct (__hashfunc_info *__obj_info, std::size_t __chain, std::size_t __accesses, std::size_t __hops)
void | __free ()
void | __retire_object (__hashfunc_info *__info)
void | __write (FILE *__f)

## Protected Attributes

const char * | __id

## Detailed Description

Hash performance instrumentation producer.

Definition at line 95 of file profiler_hash_func.h.

## Constructor & Destructor Documentation

## __trace_hash_func()

__gnu_profile::__trace_hash_func::__trace_hash_func | ( |  | ) |

inline

Definition at line 99 of file profiler_hash_func.h.

## ~__trace_hash_func()

__gnu_profile::__trace_hash_func::~__trace_hash_func | ( |  | ) |

inline

Definition at line 103 of file profiler_hash_func.h.

## Member Function Documentation

## __add_object()

__hashfunc_info * __gnu_profile::__trace_base< __hashfunc_info , __hashfunc_stack_info >::__add_object | ( | __stack_t | __stack | ) |

inherited

Definition at line 206 of file profiler_trace.h.

## __collect_warnings()

void __gnu_profile::__trace_base< __hashfunc_info , __hashfunc_stack_info >::__collect_warnings | ( | __warning_vector_t & | __warnings | ) |

inherited

Definition at line 209 of file profiler_trace.h.

## __destruct()

void __gnu_profile::__trace_hash_func::__destruct | ( | __hashfunc_info * | __obj_info,
|  | std::size_t | __chain,
|  | std::size_t | __accesses,
|  | std::size_t | __hops
| ) |  |

inline

Definition at line 107 of file profiler_hash_func.h.

## __retire_object()

void __gnu_profile::__trace_base< __hashfunc_info , __hashfunc_stack_info >::__retire_object | ( | __hashfunc_info * | __info | ) |

inherited

Definition at line 207 of file profiler_trace.h.

## __write()

void __gnu_profile::__trace_base< __hashfunc_info , __hashfunc_stack_info >::__write | ( | FILE * | __f | ) |

inherited

Definition at line 208 of file profiler_trace.h.

## Member Data Documentation

## __id

const char* __gnu_profile::__trace_base< __hashfunc_info , __hashfunc_stack_info >::__id

protected inherited

Definition at line 222 of file profiler_trace.h.

The documentation for this class was generated from the following file:

- profiler_hash_func.h